#! /bin/sh

# Find the autotools
if [ ! -z `which autoheader` ]; then AUTOHEADER=`which autoheader`; fi
if [ ! -z `which autoheader259` ]; then AUTOHEADER=`which autoheader259`; fi
if [ ! -z `which aclocal` ]; then ACLOCAL=`which aclocal`; fi
if [ ! -z `which aclocal19` ]; then ACLOCAL=`which aclocal19`; fi
if [ ! -z `which autoconf` ]; then AUTOCONF=`which autoconf`; fi
if [ ! -z `which autoconf259` ]; then AUTOCONF=`which autoconf259`; fi
if [ ! -z `which automake` ]; then AUTOMAKE=`which automake`; fi
if [ ! -z `which automake19` ]; then AUTOMAKE=`which automake19`; fi

echo "-------------[ running $AUTOHEADER"
$AUTOHEADER || exit 1
echo "-------------[ running $ACLOCAL"
$ACLOCAL -I . || exit 1
echo "-------------[ running $AUTOCONF"
$AUTOCONF || exit 1
echo "-------------[ running $AUTOMAKE"
$AUTOMAKE --foreign --add-missing --copy || exit 1
echo "-------------[ running ./configure"
./configure
echo "-------------[ running make"
make
