/*
 * libnfsnapi.h
 */

#ifndef __LIBNFSNAPI_LIBNFSNAPI_H__
#define __LIBNFSNAPI_LIBNFSNAPI_H__

/**
 * \mainpage libNFSNapi
 *	An object-oriented library for using the NFSN API,
 *	written in portable C.
 *
 *	A good place to start in this documentation is the \ref Manager group.
 *	From there, you can access the other API objects.
 *
 *	@author David Symonds <dsymonds@gmail.com>
 */

#include "account.h"
#include "dns.h"
#include "email.h"
#include "error.h"
#include "mgr.h"
#include "site.h"

#endif /* __LIBNFSNAPI_LIBNFSNAPI_H__ */
